> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order configuration

> Configuration properties for controlling how services are executed when creating a case.

When you create a case, you have the option to configure how certain services are executed via an `orderConfig` object in the request body. If you don't define a configuration property that applies to one or more services in the package that you're ordering, a default value will be set for that property.

## Configuration properties

| **Configuration property**                                                   | **Applicable service**           | **Description**                                                                                                                                            |
| ---------------------------------------------------------------------------- | -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **`aliasNameConfiguration`**                                                 | All criminal screenings          | Defines how to run aliases. See [Alias name configuration](#alias-name-configuration).                                                                     |
| **`ohsDrugPassportExpirationPolicy`**                                        | All OHS and drug screenings      | Defines how to handle expired ePassports. See [OHS/Drug passport expiration policy](#ohs/drug-passport-expiration-policy).                                 |
| **`lostOrIncompleteOHSDrugPolicy`**                                          | All OHS and drug screenings      | Defines how to handle lost or incomplete samples. See [Lost or incomplete OHS/drug policy](#lost-or-incomplete-ohs/drug-policy).                           |
| **`diluteDrugPolicy`**                                                       | All drug screenings              | Defines how to handle dilute samples. See [Dilute drug policy](#dilute-drug-policy).                                                                       |
| **`serviceConfigs.service-ohs-tb-quantiferon-gold.substitutionPolicy`**      | Quantiferon Gold / TB Blood Test | Defines whether the test can be replaced. See [Quantiferon Gold substitution policy](#quantiferon-gold-substitution-policy).                               |
| **`serviceConfigs.service-ohs-tb-tspot-test.substitutionPolicy`**            | T-Spot / TB Blood Test           | Defines whether the test can be replaced. See [T-Spot substitution policy](#t-spot-substitution-policy).                                                   |
| **`serviceConfigs.9ac65633-b4c4-4062-875c-3556db9d2a08.verificationMethod`** | Employment Verification          | Defines how to verify the candidate's reported employment. See [Employment verification method](#employment-verification-method).                          |
| **`serviceConfigs.service-employment-income.verificationMethod`**            | Employment Income Verification   | Defines how to verify the candidate's reported employment and income. See [Employment income verification method](#employment-income-verification-method). |
| **`serviceConfigs.85307784-1f84-471a-8596-c8ea088c3a62.verificationMethod`** | Education Verification           | Defines how to verify the candidate's reported education. See [Education verification method](#education-verification-method).                             |
| **`contacts`**                                                               | All services                     | Defines the contacts for the case. See [Contacts](#contacts).                                                                                              |

### Alias name configuration

| Configuration value     | Description                         |
| ----------------------- | ----------------------------------- |
| **no-alias**            | Default, no aliases                 |
| **alias-all**           | All aliases                         |
| **alias-all+hits-only** | All aliases, only on hits           |
| **alias-mnv**           | Major name variations               |
| **alias-mnv+hits-only** | Major name variations, only on hits |

### OHS/Drug passport expiration policy

| Configuration value      | Description                                |
| ------------------------ | ------------------------------------------ |
| **company-default**      | Default, refer to company settings         |
| **reissue**              | Automatically reissue                      |
| **reissue-and-contact**  | Automatically reissue and contact customer |
| **reissue-once-contact** | Reissue once, then contact customer        |
| **contact-customer**     | Contact the customer                       |
| **do-not-reissue**       | Do not reissue                             |

### Lost or incomplete OHS/drug policy

| Configuration value      | Description                                |
| ------------------------ | ------------------------------------------ |
| **company-default**      | Default, refer to company settings         |
| **reorder**              | Automatically reorder                      |
| **reorder-and-contact**  | Automatically reorder and contact customer |
| **reorder-once-contact** | Reorder once, then contact customer        |
| **do-not-reorder**       | Do not reorder                             |

### Dilute drug policy

| Configuration value      | Description                                |
| ------------------------ | ------------------------------------------ |
| **company-default**      | Default, refer to company settings         |
| **reorder**              | Automatically reorder                      |
| **reorder-and-contact**  | Automatically reorder and contact customer |
| **reorder-once-contact** | Reorder once, then contact customer        |
| **do-not-reorder**       | Do not reorder                             |

### Quantiferon Gold substitution policy

| Configuration value     | Description                        |
| ----------------------- | ---------------------------------- |
| **company-default**     | Default, refer to company settings |
| **replace-with-t-spot** | Replace with T-Spot                |
| **do-not-replace**      | Do not replace                     |

### T-Spot substitution policy

| Configuration value          | Description                        |
| ---------------------------- | ---------------------------------- |
| **company-default**          | Default, refer to company settings |
| **replace-with-quantiferon** | Replace with Quantiferon Gold      |
| **do-not-replace**           | Do not replace                     |

### Employment verification method

| Configuration value | Description                       |
| ------------------- | --------------------------------- |
| **docs-acceptable** | Default, docs are acceptable      |
| **psv**             | Primary source verification       |
| **psv-first**       | Primary source verification first |

### Employment income verification method

| Configuration value | Description                       |
| ------------------- | --------------------------------- |
| **docs-acceptable** | Default, docs are acceptable      |
| **psv**             | Primary source verification       |
| **psv-first**       | Primary source verification first |

### Education verification method

| Configuration value | Description                       |
| ------------------- | --------------------------------- |
| **docs-acceptable** | Default, docs are acceptable      |
| **psv**             | Primary source verification       |
| **psv-first**       | Primary source verification first |

### Contacts

The `contacts` property is an array of contact objects for the case. Each contact object has the following properties:

| Property | Type     | Description                                   |
| -------- | -------- | --------------------------------------------- |
| `name`   | `string` | The contact's name.                           |
| `type`   | `string` | The contact type. See supported values below. |
| `email`  | `string` | The contact's email address.                  |
| `phone`  | `string` | The contact's phone number.                   |

Supported `type` values:

| Configuration value | Description                                 |
| ------------------- | ------------------------------------------- |
| **`default`**       | The default contact for the case.           |
| **`escalation`**    | The escalation contact for the case.        |
| **`authorization`** | The OHS authorization contact for the case. |

```json theme={null}
{
  "contacts": [
    {
      "name": "Jane Smith",
      "type": "default",
      "email": "jane.smith@example.com",
      "phone": "800-555-0100"
    },
    {
      "name": "John Doe",
      "type": "authorization",
      "email": "john.doe@example.com",
      "phone": "800-555-0101"
    }
  ]
}
```

## Overriding configurations

You can override a case configuration by adding to the order (`POST /case/id/{caseId}/add/services`) *only if* the configuration doesn't apply to any services that have already been dispatched. For example, if an Employment Income Verification was ordered during case creation, then the `serviceConfigs.service-employment-income.verificationMethod` property cannot be updated. Attempting to do so results in a 422 response.
